[TOC]

# choirMail

send a weekly mail automatically

## Building
Just run `nix build`.

## Running
Just run the binary to send a mail, it requires exactly one
parameter that points to a config file.

### Configuration
The config file is a toml file, even though it as of now makes not really use
of any toml features.

```toml
[mail]
domain   = "the domain of the smtp server to send messages with"
user     = "the username on the smtp server"
password = "the passwond on the smtp server"
to       = "the mail to send to"
from     = "the sender of the mail"
errorTo  = "the address to send a mail to in case of error"
```

## Develop
If you run `nix develop` you get a set up kakoune with an lsp. Be aware
this depends on your local cabal cache.

# TODO
- Better E-Mail generation
- Add the nix modules to the flake
- Better Error handling
  - Find out which exceptions the SMTP module throws
- Split config into secrets and non secret config
  - make the pad url configurable
- clean up Text vs lazy Text